## python-acora 2.0

=== debian/changelog ===
python-acora (2.0-2build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:22:50 +0000

python-acora (2.0-2build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:27:21 +0000

python-acora (2.0-2build1) artful; urgency=medium

  * Rebuild for python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 20:47:33 +0530

python-acora (2.0-2) unstable; urgency=medium

  * Rename source package, no changes to binary packages

 -- Hilko Bengen <bengen@debian.org>  Sat, 03 Dec 2016 15:27:52 +0100

acora (2.0-1) unstable; urgency=medium

  * Initial release (Closes: #838843)

 -- Hilko Bengen <bengen@debian.org>  Fri, 02 Dec 2016 00:10:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME        := acora
export PYBUILD_BEFORE_TEST := cp -a test.py README.rst {build_dir}/
export PYBUILD_TEST_ARGS   := {interpreter} {build_dir}/test.py
export PYBUILD_AFTER_TEST  := rm -f {build_dir}/test.py {build_dir}/README.rst

override_dh_auto_test: export PYBUILD_SYSTEM=custom
override_dh_auto_test:
	dh_auto_test

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

## python-acora 2.2

=== Makefile ===
PYTHON?=python
PROJECT=acora
VERSION?=$(shell sed -ne 's|^version\s*=\s*"\([^"]*\)".*|\1|p' setup.py)
WITH_CYTHON=$(shell $(PYTHON) -c 'from Cython.Build import cythonize' && echo " --with-cython" || true)

MANYLINUX_IMAGE_X86_64=quay.io/pypa/manylinux1_x86_64
MANYLINUX_IMAGE_686=quay.io/pypa/manylinux1_i686

all:    local

local:
	$(PYTHON) setup.py build_ext --inplace  $(WITH_CYTHON)

test:
	$(PYTHON) test.py -v

clean:
	${PYTHON} setup.py clean
	rm -f $(wildcard $(addprefix $(PROJECT)/*., so pyd pyc pyo))
	[ -z "$(WITH_CYTHON)" ] || rm -f $(PROJECT)/*.c

sdist: dist/$(PROJECT)-$(VERSION).tar.gz

dist/$(PROJECT)-$(VERSION).tar.gz:
	${PYTHON} setup.py sdist

wheel_manylinux: wheel_manylinux64 wheel_manylinux32

wheel_manylinux32 wheel_manylinux64: dist/$(PROJECT)-$(VERSION).tar.gz
	@echo "Building wheels for $(PROJECT) $(VERSION)"
	mkdir -p wheelhouse_$(subst wheel_,,$@)
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e CFLAGS="-O3 -g0 -mtune=generic -pipe -fPIC" \
		-e LDFLAGS="$(LDFLAGS) -fPIC" \
		-e WHEELHOUSE=wheelhouse_$(subst wheel_,,$@) \
		$(if $(patsubst %32,,$@),$(MANYLINUX_IMAGE_X86_64),$(MANYLINUX_IMAGE_686)) \
		bash -c 'for PYBIN in /opt/python/*/bin; do \
		    $$PYBIN/python -V; \
		    { $$PYBIN/pip wheel -w /io/$$WHEELHOUSE /io/$< & } ; \
		    done; wait; \
		    for whl in /io/$$WHEELHOUSE/$(PROJECT)-$(VERSION)-*-linux_*.whl; do auditwheel repair $$whl -w /io/$$WHEELHOUSE; done'

## python-acora 2.1

=== debian/changelog ===
python-acora (2.1-1) unstable; urgency=medium

  * New upstream version 2.1
  * Remove auto-generated files on clean, build (Closes: #904645)
  * Add patch to fix Cython-related errors
  * Modernize package: DH compat level, Standards-Version, Vcs-* headers,
    Standards-Version, Vcs-* headers

 -- Hilko Bengen <bengen@debian.org>  Sat, 28 Jul 2018 14:33:10 +0200

=== debian/control ===
Source: python-acora
Section: python
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 10), dh-python,
 python-all-dev (>= 2.6.6-3~), python3-all-dev,
 python-setuptools, python3-setuptools,
 cython, cython3,
 python-pytest, python3-pytest,
Standards-Version: 4.1.5
Homepage: https://pypi.python.org/pypi/acora
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/debian/python-acora.git
Vcs-Browser: https://salsa.debian.org/debian/python-acora.git

Package: python-acora
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: fast multi-keyword text search engine (Python 2)
 Acora is 'fgrep' for Python, a fast multi-keyword text search engine.
 .
 Based on a set of keywords and the Aho-Corasick algorithm, it
 generates a search automaton and runs it over string input, either
 unicode or bytes.
 .
 This package installs the library for Python 2.

Package: python3-acora
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: fast multi-keyword text search engine (Python 3)
 Acora is 'fgrep' for Python, a fast multi-keyword text search engine.
 .
 Based on a set of keywords and the Aho-Corasick algorithm, it
 generates a search automaton and runs it over string input, either
 unicode or bytes.
 .
 This package installs the library for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 export PYBUILD_TEST_ARGS   := {interpreter} {build_dir}/test.py
 export PYBUILD_AFTER_TEST  := rm -f {build_dir}/test.py {build_dir}/README.rst
 
+override_dh_auto_configure override_dh_auto_clean:
+	rm -f acora/_acora.c acora/_cacora.c
+	$(patsubst override_%,%,$@)
+
 override_dh_auto_test: export PYBUILD_SYSTEM=custom
 override_dh_auto_test:
 	dh_auto_test

## python-acora 2.2

=== debian/changelog ===
python-acora (2.2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Delete generated C before build, and in clean, to ensure regeneration with
    cython. Fixes FTBFS with Python 3.9. (Closes: #972028)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Oct 2020 22:32:00 -0700

python-acora (2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937570

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Dec 2019 23:03:28 -0500

python-acora (2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - remove problematic override rules 

 -- Hideki Yamane <henrich@debian.org>  Tue, 04 Jun 2019 00:03:53 +0900

python-acora (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
    - Builds just fine (Closes: 917725)
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Drop patch

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 18:58:57 +0100

=== debian/control ===
Source: python-acora
Section: python
Priority: optional
Maintainer: Hilko Bengen <bengen@debian.org>
Build-Depends: debhelper (>= 12), dh-python,
 python3-all-dev,
 python3-setuptools,
 cython3,
 python3-pytest,
Standards-Version: 4.3.0
Homepage: https://pypi.python.org/pypi/acora
Vcs-Git: https://salsa.debian.org/debian/python-acora.git
Vcs-Browser: https://salsa.debian.org/debian/python-acora.git

Package: python3-acora
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends},
Description: fast multi-keyword text search engine (Python 3)
 Acora is 'fgrep' for Python, a fast multi-keyword text search engine.
 .
 Based on a set of keywords and the Aho-Corasick algorithm, it
 generates a search automaton and runs it over string input, either
 unicode or bytes.
 .
 This package installs the library for Python 3.

## python-acora 2.4

=== Makefile ===
PYTHON?=python
PROJECT=acora
VERSION?=$(shell sed -ne 's|^__version__\s*=\s*"\([^"]*\)".*|\1|p' acora/__init__.py)
WITH_CYTHON=$(shell $(PYTHON) -c 'from Cython.Build import cythonize' && echo " --with-cython" || true)
PYTHON_WHEEL_BUILD_VERSION := "cp*"

MANYLINUX_IMAGES= \
    manylinux1_x86_64 \
    manylinux1_i686 \
    manylinux_2_24_x86_64 \
    manylinux_2_24_i686 \
    manylinux_2_24_aarch64 \
    manylinux_2_28_x86_64 \
    manylinux_2_28_aarch64 \
    musllinux_1_1_x86_64

all:    local

local:
	$(PYTHON) setup.py build_ext --inplace  $(WITH_CYTHON)

test:
	$(PYTHON) test.py -v

clean:
	${PYTHON} setup.py clean
	rm -f $(wildcard $(addprefix $(PROJECT)/*., so pyd pyc pyo))
	[ -z "$(WITH_CYTHON)" ] || rm -f $(PROJECT)/*.c

sdist: dist/$(PROJECT)-$(VERSION).tar.gz

dist/$(PROJECT)-$(VERSION).tar.gz:
	${PYTHON} setup.py sdist

qemu-user-static:
	docker run --rm --privileged hypriot/qemu-register

wheel:
	$(PYTHON) setup.py bdist_wheel

wheel_manylinux: sdist $(addprefix wheel_,$(MANYLINUX_IMAGES))
$(addprefix wheel_,$(filter-out %_x86_64, $(filter-out %_i686, $(MANYLINUX_IMAGES)))): qemu-user-static

wheel_%: dist/$(PROJECT)-$(VERSION).tar.gz
	@echo "Building wheels for $(PROJECT) $(VERSION)"
	time docker run --rm -t \
		-v $(shell pwd):/io \
		-e CFLAGS="-O3 -g0 -mtune=generic -pipe -fPIC" \
		-e LDFLAGS="$(LDFLAGS) -fPIC" \
		-e WHEELHOUSE=wheelhouse$(subst wheel_manylinux,,$@) \
		quay.io/pypa/$(subst wheel_,,$@) \
		bash -c 'for PYBIN in /opt/python/$(PYTHON_WHEEL_BUILD_VERSION)/bin; do \
		    $$PYBIN/python -V; \
		    { $$PYBIN/python -m pip wheel -w /io/$$WHEELHOUSE /io/$< & } ; \
		    done; wait; \
		    for whl in /io/$$WHEELHOUSE/$(PROJECT)-$(VERSION)-*-linux_*.whl; do auditwheel repair $$whl -w /io/$$WHEELHOUSE; done'

=== debian/changelog ===
python-acora (2.4-0.1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:26:47 +0000

python-acora (2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ Bastian Germann ]
  * Remove .git suffix from Vcs-Browser

  [ Bo YU ]
  * New upstream version 2.4. (Closes: #1056849, #1055707)

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 09 Jan 2024 09:52:46 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Standards-Version: 4.3.0
 Homepage: https://pypi.python.org/pypi/acora
 Vcs-Git: https://salsa.debian.org/debian/python-acora.git
-Vcs-Browser: https://salsa.debian.org/debian/python-acora.git
+Vcs-Browser: https://salsa.debian.org/debian/python-acora
 
 Package: python3-acora
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME        := acora
export PYBUILD_BEFORE_BUILD := rm -f $(wildcard acora/*.c)
export PYBUILD_BEFORE_TEST := cp -a test.py README.rst {build_dir}/
export PYBUILD_TEST_ARGS   := {interpreter} {build_dir}/test.py
export PYBUILD_AFTER_TEST  := rm -f {build_dir}/test.py {build_dir}/README.rst

override_dh_auto_test: export PYBUILD_SYSTEM=custom
override_dh_auto_test:
	dh_auto_test

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4

https://pypi.python.org/pypi/acora \
  .*/acora-(.+)\.tar\.gz debian uupdate

## python-acora 2.5

=== debian/changelog ===
python-acora (2.5-0.1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:31:13 +0000

python-acora (2.5-0.1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:20:01 +0000

python-acora (2.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.5 (Closes: #1081621)
  * Use dh-sequence-python3
  * Set Rules-Requires-Root: no
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Nov 2024 13:42:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 	dh_auto_test
 
 %:
-	dh $@  --with python3 --buildsystem=pybuild
+	dh $@  --buildsystem=pybuild
